<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".modules.home.fragment.from.BunkerSetupActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/qmui_config_color_white">
        <RelativeLayout
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:visibility="invisible"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">
                        <ImageView
                            android:id="@+id/quanliaobuchong"
                            android:layout_marginLeft="20dp"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/qcbc"
                            android:layout_alignParentBottom="true"/>
                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom
                            android:id="@+id/quanchangqingxi"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentBottom="true"
                            android:layout_marginLeft="160dp"
                            app:imagesrc_ks="@mipmap/qcqx"
                            app:imagesrc_tz="@mipmap/qcqx_select" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="3">
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <ImageView
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_alignParentBottom="true"
                                android:scaleType="fitStart"
                                android:src="@mipmap/device2" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">
                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1">

                                </RelativeLayout>
                                <RelativeLayout
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_weight="1">
                                    <LinearLayout
                                        android:layout_centerHorizontal="true"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentBottom="true"
                                        android:layout_marginBottom="45dp"
                                        android:orientation="vertical">

                                        <RelativeLayout
                                            android:visibility="gone"
                                            android:layout_width="100dp"
                                            android:layout_height="80dp"
                                            android:background="@mipmap/silos_bottom"
                                            />
                                        <RelativeLayout
                                            android:layout_width="100dp"
                                            android:layout_height="80dp"
                                            android:background="@mipmap/silos1"
                                            />

                                        <RelativeLayout
                                            android:layout_width="100dp"
                                            android:layout_height="80dp"
                                            android:background="@mipmap/silos2"
                                            />

                                        <RelativeLayout
                                            android:layout_width="100dp"
                                            android:layout_height="80dp"
                                            android:background="@mipmap/silos3"
                                            />
                                    </LinearLayout>
                                </RelativeLayout>
                            </LinearLayout>
                        </RelativeLayout>
                    </LinearLayout>

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginBottom="40dp"
                        android:layout_alignParentBottom="true">
                        <com.bonait.bnframework.modules.home.fragment.mode.jingdutiao1
                            android:id="@+id/silos1"
                            android:layout_marginTop="0dp"
                            android:layout_width="match_parent"
                            android:layout_height="160dp"
                            android:contentDescription="①"
                            android:tag="调和油"/>
                        <com.bonait.bnframework.modules.home.fragment.mode.jingdutiao1
                            android:id="@+id/silos2"
                            android:layout_marginTop="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="160dp"
                            android:contentDescription="②"
                            android:tag="复合料"/>
                        <com.bonait.bnframework.modules.home.fragment.mode.jingdutiao1
                            android:id="@+id/silos3"
                            android:layout_marginTop="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="160dp"
                            android:contentDescription="③"
                            android:tag="酱油"/>
                        <com.bonait.bnframework.modules.home.fragment.mode.jingdutiao1
                            android:id="@+id/silos4"
                            android:layout_marginTop="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="160dp"
                            android:contentDescription="④(水阀)"
                            android:tag="水"/>
                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="操作说明"
                        android:fontFamily="@font/fz2"
                        android:textSize="25dp"
                        android:textColor="@color/deep_orange_primary"/>
                    <TextView
                        android:layout_marginTop="2dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="18dp"
                        android:fontFamily="@font/fz2"
                        android:text="1、物料设置：点击“设置”-“物料选择”,更换料仓物料。"
                        android:textColor="#567722"/>
                    <TextView
                        android:layout_marginTop="2dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="18dp"
                        android:fontFamily="@font/fz2"
                        android:text="2、容量设置：点击“设置”-“容量设置”\n      ,填写(总、告警)容量。"
                        android:textColor="#567722"/>
                    <TextView
                        android:layout_marginTop="2dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="18dp"
                        android:fontFamily="@font/fz2"
                        android:text="3、物料校准：点击“设置”-“调料校准”\n      ,记录出料克重写入标定处,保存生效。\n      （注意:此操作需要先排空管道）"
                        android:textColor="#567722"/>
                </LinearLayout>
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="3"/>
            </LinearLayout>
        </RelativeLayout>

        <!-- 查看料仓设置弹窗 -->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <com.bonait.bnframework.modules.home.fragment.mode.add_silos_message
                android:id="@+id/silos_control"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone">
            </com.bonait.bnframework.modules.home.fragment.mode.add_silos_message>
        </RelativeLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue" />

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>